Menci Software

APS

Updated to ver. 6.5.0

Menci Software - APS - Copyright © 2014

WebSite: http://www.menci.com - E-Mail: info@menci.com

tel (0039) 0575382051


What is APS

APS

Automatic photogrammetric processing station

APS is the powerful and widely tested photogrammetry software suite for massive and accurate UAV data processing.
APS meets all skill-level users by several interaction steps up to the full automatic process.
It runs on your desktop computer or laptop and processes small and medium format aerial imagery to 2D maps and 3D models with centimetric accuracy.

APS has two extension modules: StereoTools and Google Earth Tiler.


Main features

Updated Ver. 6.5.0

  • Import images from any Drone/UAV (TIF, JPG)
  • Import of images without IMU angles data
  • Camera passport features self-extraction
  • GPS data extraction from EXIF
  • Import of GPS data expressed in different formats
  • Selectable camera mounting
  • [NEW] Support to multisensor projects (RGB + NIR)
  • Five bundle algorithms with editable parameters
  • GCP Import, collimation and visualization
  • Radiometric color balancing
  • DSM automatic generation
  • Contour lines generation
  • Textured Mesh automatic generation / view
  • DTM ground automatic filtering on preset scenario
  • Seamlines generation and editing
  • Tiles setup and import
  • Orthomosaic generation
  • Orthomosaic correction editor
  • [NEW] Orthomosaic and DSM export by custom bands composition
  • 3D point cloud generation and view
  • All common CAD edit commands
  • Multithread powerful & GPU support
  • Batch start from command line
  • Multilanguage support

View extended feature list

Workflow

Software requirements

                            • Operating system: Seven / 8 64 bit
                            • CPU: intel i3 / i5 / i7 / or equivalent
                            • RAM: 4 GB or more
                            • GPU: nVidia GeForce / Quadro families
                            • Hard Disk: 7200 rpm preferably

Oriented images are ready for stereo carthographic feature extraction (StereoTools and Z-Map).

A temporary evaluation license is available to test APS with your datasets.


Workspace

When the software starts the following bar will be opened.

At this level you can press "New" [image] or "Open" [image] an existing project or access to Main Button functionalities.

In the middle of the window the workspace will be displayed.

At the top there is a toolbar from which you can access some features classified into some tabs ("Tools", "CAD", etc).

At the left of the workspace there is the workflow window, who shows you the sequence of intermediate actions/products available and their completeness state.

At the bottom there is a "Log Output", where status messages are displayed while processes get developed.


Main Button

APS main button gives you access to some extra features and shows you recently opened projects.

  • New Camera Calibration allows you to automatically extract a camera passport from a calibration image dataset.
  • Evaluate Sharpness is a tool that automatically highlights images with poor sharpness. It is usefull to check huge datasets and to find blurred or "windy" images.

    Sharpness tool returns a numeric value related to image sharpness in a 0-255 range. That rating is objective, so it could be assigned to each image and doesn't depend by current image set.
    The poor/good cut-off point isn't absolute, because every image dataset has its own features, coming from light, wind and subject conditions.

    This tool help you to easily find inside a big number of images which are more blurred than others, but you still need to evaluate if they can be excluded from next process.
    For example you can exclude a blurred image one if the overlap allows you to cover its area with other shaper images.
    Or you may choice to keep it in the process if the global sharpness is poor.

  • Test GPU status applies the GPU test to your graphic card. If your adapter support GPU for APS computation, GPU options will be enabled. The test is automatically done at APS first start.
    View GPU Status shows the latest GPU test results.
  • Capture screenshot takes a screenshot of your current view and put it in a project subfolder called "screenshots".
  • Restart process is usefull when the Bundle orientation process was interrupted for any reason. In that case you can restart the aerial triangulation bundle process recovering from last valid step.


Toolbars

Toolbar

MAIN TOOLBAR

This is the main toolbar

Through this bar you can open and create a new project, display or hide some generic layers and windows or get information about APS.

TIP: please fill the "User Data" form with your data: it will be usefull to identify the reports you send to Menci Software if a problem occurs.

If you are evaluating APS, you can send your feedback back to Menci Software through the online form or writing to francesca.ceccaroni@menci.com.

Measurements section includes "Distance" and "Area" (2D) tools. The View section toggles the view of some elements inside the workspace (Footprints, Camera positions, ...).

If the Overview is enabled and camera positions are visible you can open a picture by clicking on the related UAV position. Then you can see the previous or next image using the left-right keys.

Windows section toggles the view of workspace's windows.

Help contains some general informations: the Project status, User Data, the interface of available languages (Select Language) and informations about APS.

You can periodically check for APS updates by clicking on "Get Update": it will open a remote folder where new versions are stored.

Uninstall current version before install the upgraded one.

Through "Project Info" you can check the results gained during the whole project process.

CAD TOOLBAR

In the CAD section there are following commands:

- Import (import a DWG CAD drawing)

- Export (export current drawing to DWG / DXF)

- Draw a Point

- Draw a Polyline

- Draw a Spline

- Insert a Text

- Fill a closed poligon with Hatch

- Call current entity Properties

- Erase selected entities

- Copy selected entities

- Move selected entities

- Rotate selected entities

- Scale selected entities

- Mirror selected entities

- Extend current line up to entity

- Trim current line

- Select CAD Options

- Manage layers

- Select layers order

- Line Weight

- Toggle Object Snap

- Toggle CAD Grid

ORTHOPHOTO TOOLBAR

In the Orthophoto section there are the following commands:

- Select Editor: select your favorite external raster editor (e.g. Photoshop or GIMP). Here you need to select the executable path.

- Edit Tile Size (pixel): the size in pixel of edited tile.

- Enable Editor: enable or disable the editor opening when you click on orthophoto.

- Apply or Discard changes

STEREO TOOLBAR

The Stereo Toolbar includes two options to export evaluated data to StereoTools project or open a existing one.

StereoTools is a user-friendly digital photogrammetric stereo workstation and allows 3D feature collection.

It can directly use DTM and bundle orientations produced by APS.

TIP: StereoTools must be installed and hardkey dongle connected to access those features, since it is a standing alone software.


WorkFlow Bar

When the project is open you can see the workflow window bar on the left side of the screen.

It shows the commands sorted by standard workflow, from top to bottom.

By clicking an icon you can start the related process.
The bulb on the left switches the operation's result view turningthem on/off (if they are computed).

Through the blue triangle on the right you can open the "more" popup menu, that shows some other commands you can apply to that kind of data.

TIP: You can follow the workflow command order or jump directly to orthophoto construction: APS will build automatically all intermediate data it needs to complete the task.


Camera Passport Extraction

APS allows to generate a camera passport from your own dataset. The passport you get by this procedure cannot grant the reliability of a standard passport (got by a camera calibration process done by Menci Labs) but it is usefull for evaluation purposes.
Please note that all results got by APS depend from camera passport accuracy, so you need to select an optimal dataset for this purpose.

The generated passport is encrypted and can be used for APS purposes only.

The dataset to be used for passport extraction should have some feature:

  • at least 24 pictures, subdivided into 4 strips on a square area.
  • all images should be almost zenithal to ground.
  • all images should be taken at the same altitude.
  • the relative flight elevation should be at least 150 mt.
  • each picture should have about 80% overlap with the previous one. An overlap of at least 60% is suitable between strips.
  • no blurred or "windy" images inside the dataset.
  • a area without trees and big buildings is preferable.
  • no "repetitive pattern".

GPS information must be available inside EXIF or in a separated text file.
Ground Control Points should be visible in dataset images as explained below.

The calibration process must be done on a "standard" dataset, with the same image format and quality (JPG Large + Fine) normally used in a real work scenario.

You can access to the calibration process once APS is open, from the Main button at the left top of the interface:

then proceed by filling the project information like a normal APS project.

The extraction process is fully automatic.

After the computation is finished without errors a dialog will appear and you can assign a name to the passport.
The new camera passport is finally available to be used for a normal APS project.
If some error occurs, check again or change the input dataset and retry the process.

To get a more accurated passport you should use Ground Control Points: if GCPs are visible in the dataset (normally 5 points not alligned), you will be able to do the final step.
You can insert and collimate each point on each image where it is visible, then you can refine the calibration parameters running the bundle orientation process.

TIP: APS can evaluate camera pixel size taking information from image EXIF, but EXIF data could be not complete or deleted by a previous transformation.

In this case APS will ask you for pixel size (mm) value. You can get this value by yourself applying this formula:

Pixel Size mm = [(Sensor Width mm / Image Width Pix) + (Sensor Height mm / Image Height Pix)] / 2.0

Sensor Width mm and Sensor Height mm are obtainable on camera manufacturer websites or specialized website like DPreview.com .

You can get Image Width Pix and Image Height Pix directly from your dataset properties.


Initial Checkup

  • Check for disk space: APS projects average size is about 5 times bigger than original dataset size, depending on selected AOI.
  • Evaluate if you need to subdivide the dataset in two or more blocks. APS can process thousand of images in a single block but it is time-expensive to process more than 2000 images at time.
  • Do you have a camera passport? If not extract it from a dataset using the automatic procedure or call Menci Software.
  • Check images:
    • remove take-off and landing images
    • look for blurred, moving or out-of-focus images
    • remove turning and rotating images
  • Check GPS data: APS needs images tagged by GPS coordinates into EXIF or in a textual external file. IMU angles are preferable but not required.


New Project

Create a new project

  1. Select project name
  2. Select passport and sensor
  3. Select dataset images
  4. Change (optionally) the output coordinate system
  5. Select the Bundle Strategy

NAME and PASSPORT

An APS project is subdivided into two main steps: the first one is represented by dataset collection and bundle orientation (aerial triangulation);
the second by final results generation (DSM, mesh, ground, contour lines, orthomosaic).

After you press “New” a dataset dialog will lead you to the first step.

Select project folder destination and name.

DATASET SELECTION

After the project name is provided the next step is the dataset selection.
APS supports multi-dataset selection, also for dataset acquired by different sensors. Actually RGB and NIR sensors are supported.

The dataset import is composed by 2 sub-steps: sensor setup and dataset setup.

During the sensor setup you will select the camera passport related to the sensor.

If Menci provided you a cvc camera passport you can import it, or you can extract the passport instead.

Select the type of sensor and the camera mounting angle too.

If more than one type of sensors are present in the same project, DSM, mesh and orthomosaic will be generated in relation to color bands coming from each sensor.

In other case every result coming from datasets of the same sensors type will be added together to a single output.

With "camera mounting" you provide the camera rotation angle compared to the UAV.

In the next step you have to select the ASCII file with GPS / IMU camera positions got by your drone.
IMU angle data are optional.

TIP: if your GPS data are included inside the image EXIF, select the "From Exif" option instead. By choosing this option you will run a project without IMU informations (the bundle process will be slower).

At the top of the window you can change keywords used to parse the file by editing comments and separators.
Moreover you can assign the table headers values by clicking on a specific column.

APS accepts GPS data expressed in several geographic conventions.

The standard format is

ID | Latitude | Longitude | Height (amsl and wgs84)| Yaw | Pitch | Roll
but you can specify different format by selecting the options below

You can assign the angle unit too. If you don't have the angles information you can reset them by clicking on the specific column:

After you did column-value assignments (if required) select all camera positions and press "Import".

Select the images that should be included in your project.

You can choose them by Explorer (select them file by file or by folder) or through the Flight plan.
All images are going to match with camera passport and GPS data previously imported.
Incompatible or doubled images will be discarded.

In manual file selection mode you can select images file by file or pick all files inside a folder

In the Flight plan mode (an active internet connection is needed in order to view Google Maps overlay map) you will see the UAV path over the map.
All images are initially selected by default. You can exclude one or more images by surrounding them with a poligon drawn with your mouse..

TIP: You must import a contiguous dataset avoiding splitted selections.

You will see currently selected images in the box.

When you press the end button the added dataset is now listed. You can repeat the procedure with next dataset.

COORDINATE SYSTEM

You can change the default (WGS84) output Coordinate System through the button

.

BUNDLE STRATEGY

APS allows you to select five different Bundle strategies.

The default strategy is the "GPU Descriptor Matching" (if GPU technology is supported by your graphic card) or "Descriptor Matching" instead.
You might use one of others if the project case needs a specific bundle strategy to link images together.

Bundle matching strategy Basic Description Advanced Parameters
Template Standard matching strategy.
  • Number of neighbour images (default 20): integer, [4-50]
  • Minimum number of matches (default 32): integer, [12-64]
  • Epipolar threshold in pixel (default 2.0): real, [0.5-10.0]
  • Key search radius in pixel (default 80): integer, [50-1000]
  • Template window size in pixel (default 25): integer, [13-49]
  • Target window size in pixel (default 25): integer, [0-45]
  • Cross correlation threshold (default 0.7): real, [0.45-0.90]
Optical Flow

Suggested for flights with many monotone color images.

  • Number of neighbour images (default 13): integer, [4-50]
  • Minimum number of matches (default 32): integer, [12-64]
  • Epipolar threshold in pixel (default 2.0): real, [0.5-10.0]
  • Template window size in pixel (default 30): integer, [8-64]
  • Number of pyramid levels (default 1): integer, [1-5]
  • Outlier Template window size in pixel (default 48): integer, [21-129]
  • Outlier Target window size in pixel (default 56): integer, [Template window-Template window+20]
  • Cross correlation threshold (default 0.4): real, [0.25-0.9]
Descriptor

Similar to GPU Descriptor but slower.
Suggested for flight with non parallel strips.
  • Number of neighbour images (default 20): integer, [4-50]
  • Minimum number of matches (default 32): integer, [12-64]
  • Epipolar threshold in pixel (default 1.0): real, [0.5-10.0]
Enhanced Descriptor

Suggested for lateral sliding flights because of wind.
  • Neighbour images search radius in meters (default 150): real, [10.0-500.0]
  • Minimum number of matches (default 24): integer, [12-64]
  • Epipolar threshold in pixel (default 7.5): real, [0.5-10.0]
  • Number of master tilts (default 3): integer, [1-7]
  • Number of slave tilts (default 4): integer, [1-7]
GPU Descriptor

Suggested for flight with non parallel strips. This strategy is unavailable without dedicated GPU processor supported by APS.
  • Number of neighbour images (default 20): integer, [4-50]
  • Minimum number of matches (default 32): integer, [12-64]
  • Epipolar threshold in pixel (default 2.0): real, [0.5-10.0]


Bundle Orientation Process

APS executes image orientation in bundle adjustment. No user interaction is needed during this step.
You can look at the whole procedure through five steps:

1) Import: selected images are imported and undistorted inside project folder. The original images are not modified.

2) Find feature: some remarkable points are found inside each image

3) Match feature: features found are matched to others in order to extract tie points set.

4) Bundle Adjustment: external orientation of each image is evaluated in bundle block adjustment.

5) Raster overview: a low resolution raster overview is built in order to make the next steps smoother.


GCP and CP

Ground Control Points and Check Points

Optionally you can insert and collimate Ground Control Points and Check Points. Points must be on the same coordinate system of GPS data.

GCPs are used to refine the bundle orientation and CPs to introduce a strengthen verify of results. Their management (import, collimation and use) is the same.

Any modify to GCPs should be done before any next data extraction because their contribution affects the whole project development.

By clicking the GCP button you will open the GCPs manager window.

To add a new list of points click on the add button then through the browse command you can upload the list of your GCP.

This list will be shown in the GCPs manager window. Every point must have its informations listed in the following format:

id/longitude/latitude/height (you can check and change their configuration after the browse command)

Once you have got the final list of your points, close the dialog to view the GCPs overlaying the raster overview.

By clicking on each target you will be able to open the monoscopic collimation window. It shows all the images related to the selected point.
You have to collimate the point on each image it overlaps.

To collimate a point press left click (green cross), to remove collimation right click (yellow cross).

Once you have collimated the point on the first image the software will track automatically it on each image where is overlapped.

The point is going to need a further check since it could not be well located.

If you have collimated the first point erroneusly the software will track that point.
To fix this mistake select again the correct point and then click on Track point button.

Verify this automatic transportation on each image in order to refine or exclude incorrect collimations.

Left-right arrows at the bottom of the window allow you to change current image.
To exclude an image from the collimation set remove the check from the related box, or click on "Remove current image" (it is a temporary exclusion only).

After all the points are collimated, click on "Evaluate" to start the external orientation refining.

The computation result will show for each point its residuals. Different colors highlight the point accuracy:

Green: the accuracy point is high.

Yellow: the accuracy point is medium

Red: the accuracy point is low

The accuracy depends on the flight altitude and it is usually related to the dimension of 2 pixels. You can check these values through the "Legend" button.

Through the Legend button you can change the value related to the accuracy by typing new ones.

MODEL TRANSLATION

When the model coordinates don't match to GCP because the coordinate transformation residuals are not accurate, you can manually fix the X, Y, Z gap by translating the model.

Click on the context menu of GCP and select "Set Translation"

On the left side of dialog you can see the current translation (as the sum of all translations previously applied).
On the right you can pick the new translation on the overview:

This is a 2d translation but you can setup the Z too.

Once the translation is picked you can apply it to the model. Every translation is added to any previous one.

Now you can toggle the use of the translated model or the original GCP coordinate system.


AOI

Area of interest and holes

If you need to process a subpart of the total project area, you can draw an AOI (area of interest) on the raster overview.

NOTE: define a bounding AOI in order to surround the dataset and exclude poor quality border area.
Normally you can consider an area just beyond the "drone" coverage area (see the sample).

Click on AOI and draw a poligonal area to be processed.

Press right mouse button and select "enter"

If you want to exclude some area from the AOI you can draw an hole. Click on "Hole" button and draw another area as before.
Holes can lie inside an AOI too.

You can add or subctract more than one area to the AOI. If you want to reset the AOI click on "more" button and select "Reset".
All data you will process later, will be related to AOI defined at this step.

NOTE: when you reset or update the AOI all related results eventually present will be deleted too!

The AOI selection can be exported / imported from dwg, dxf or shp CAD file formats.


Radiometric Balancing

APS supports the radiometric color balancing of point cloud and orthomosaic.
If you want to apply that correction you need to click on related button and start the process.

A different balance is computed for each sensor type. When the process is completed, a balanced low-res overview will be displayed.

You can switch between sensor type balances using the arrows at bottom.


DSM (Surface)

DSM (Digital Surface Model)

DSM procedure builds the surface 3D model.

Before starting the process you need to input the DSM resolution step, expressed in meters.
The default step is the optimal resolution value: any lower value produces an interpolated DSM.
Anyway the default step can be rounded to the bigger integer in order to make the DSM resolution clear for human users.

By selecting "Fill DSM holes" any hole in the final result will be interpolated and filled.

DSM extraction process consists in three automatic steps:

  • raw data extraction
  • DSM filtering
  • Point Cloud generation.

Once the process is finished APS asks if you want to see generated point cloud.

DSM 2D raster data displays elevations using a colorimetric scale.
The relationships between colors and elevations will be shown on right side of CAD window.

To view 3D Point Cloud you have to click on "more" button and select "View Point Cloud".

The free cloud stream viewer CloudView will be opened in a separated window.

CloudView supports different cloud representations (for example if the cloud include NGB o NRG channels), predefined 3D views and basic measurements.

Generated point cloud (that one is stored inside project's "Grid" subfolder) includes all color bands coming from different sensor types of the project.

APS allows to export DSM data in several ways:

  • Point Cloud ASCII XYZ (no color information)
  • Point Cloud ASCII XYZRGB (RGB or NIR information only)
  • Point Cloud ASCII with band selection (custom color band selection if more than a sensor type is present)
  • Point Cloud LAS/LAZ
  • DSM GeoTiff raster
  • DSM ArchGIS AAIGrid


Mesh

Once the DSM is available, APS can apply a triangulation to it and generate a mesh.

You can add or not textures to meshed surface.

If you select textured mesh and more than a sensor is defined in the project, you have to select from which kind of sensor APS will extract raster data.

After process is finished, the result is visible inside ScanView free viewer (if you don't have it ask for free installation to Menci Software or download from www.menci.com).

The mesh can be exported to common vtp, obj and ply file formats.


DTM (Ground)

DTM (digital terrain model) / Ground

From version 6.0 APS is able to filter the DSM in order to extract a model of the ground.
APS is a DTM builder and doesn't include editor commands (present inside TerrainTools extesion module).

DTMs are used as base data for several production processes (for example orthophoto/orthomosaic generation and contour lines).

You are still able to extract a DTM with the old method, by using tie points found during the aerial triangulation process instead of filtering.
The first solution is suitable and more accurated in most cases. The older one is faster.

When you start the DTM command you can select which method apply

If you answer "yes", then you have to select the "scenario" that better fit your dataset AOI (country, suburban, urban and metopolitan).

The right scenario depends by density and size of over-ground object inside the AOI.

Another customizable parameter is the "curvature threshold", expressed in radians.

Curvature threshold means the limit under which slopes are considered "ground".
If a slope is bigger than the curvature threshold, the surface object that includes this slope is removed as over-ground (tree, building, etc.).

Combining the scenario with the curvature threshold you can refine the ground filtering.

(DSM, before)

(DTM, after filtering)

If you answer "no" you will have to select the level of detail of DTM, like happened in older APS versions.

Levels go from "very low" to "high": an high level means that the DTM strictly follows the ground morphology, so it is indicated for area without buildings.

Instead a low or very low level provides a DTM smoother, for area densely built.

DTM displays elevations using a colorimetric scale. The relationships between colors and elevations will be shown on right side of CAD window.

To export the DTM you have to click on "more" button and select "export".
Then you can choose between Geotiff, ASCII grid or ASCII XYZ output file formats.

If you already have your own DTM you can import it inside APS, to be used later in next processes as reference surface.


Contour Lines

Contour lines are based on ground data.

When you click on contour lines button you have to select the minimum and maximum elevation approximated by lines and the elevation step between lines.

The simplification factor is used to simplify output lines by discarding some vertices. Simplification value must be greater than zero and lower than the contour step.
The default value is contour step / 1000.

After contour lines will be computed, they will be displayed on DTM.

You can show/hide DTM and contour lines by clicking the bulb on the left.

You can export Contour Lines to DWG, DXF of SHP file formats.


Seamlines

APS allows the automatic generation of seamlines and their editing.
It is a very useful tool especially for the next orthophoto generation step, but it isn't strictly required:
if you choose to not use editable seamlines, APS will extract and use approximated seamlines for internal purposes.

Once you click "Seamlines" button the software automatically starts with generation of seamlines, warping images on target area map.

After computation is ended, you can turn on and off the display of seamlines layer with the icon

The combo box at the top right allows to switch between seamlines versions related to sensor types.

Background slide bar makes the underlying overview darker or lighter. In this way you can understand the area of interest of each image.
The right arrow and the left arrow correspond to Undo and Redo commands.

Seamlines editing provide you a controlled result on orthomosaic generation. You are able to decide which part of every image composes the mosaic,
by including in the same image all elements of given subject (for example building roofs).

The editing job can be done in two different ways:

1 - using command [image] the first seamline will be highlighted.

Click inside the seamline to edit. Click to draw an area and press right mouse button to apply changes.

Validate editing of seamline by button [image] that lead directly to the next seamline to edit.

From Visit Order menu you can decide in which order you will examine next seamlines: among all generated seamlines ; among those validated only or among those not edited only.

2 - proceed directly with the editing of seamlines by clicking inside the seamline you want to edit. Once you have finished, use command [image] to validate all the editings.

Seamlines can be exported or removed or editing again through the "more" popup menu.

NOTE: Any seamlines editing after the orthophoto generation needs to restart the orthophoto process to be visible.


Orthophoto

Orthophoto generation and Google Earth Tiler

To get the orthomosaic you have to process DTM before. If DTM has not been generated APS will build it automatically.

Before starting the process you need to type the target GSD (ground sample distance) resolution, expressed in meters.

Proposed value is the optimal, but you are free to round that value to a bigger one.

If the radiometric balancing step was done, its result will be automatically included into orthomosaic production.

If you need to divide the final orthomosaic in some subtiles you can click on Setup Tile [image] .

This dialog allows you to specify origin, extension and optional overlap between tiles. By clicking on "Preview" the effect of this selection is drawn on workspace.
Predefined tiles can be imported from dwg, dxf or shp external file.

Finally a question dialog will be shown

If editable seamlines were produced and edited in the previous step, you can answer "yes".
APS will use the "non-editable" internal seamlines instead.

A separated orthophoto will be automatically generated for each kind of sensor included in the project.

A sheet layout will be inserted around the orthophoto at the end of the process.

The orthophoto can be exported in tif or jpg formats through the "more" button.
RGBA four channel images can be exported to tif only.
The export process is applyed to all orthophoto generated by different sensor types.

If you need a custom export mixing bands coming from sensors in your project, select "Export (band selection)".

Some predefined standard combination are available if RGB and NIR sensor are present. You can apply a custom band selection by selecting the "Custom" check box and dragging bands from top list to the bottom one. You can switch the bands order on the output list by dragging them from a column to the other.

GOOGLE EARTH TILER MODULE

You can share the result to Google Earth using Google Earth Tiler, an orthophoto post processor that builds a superoverlay compatible layer, visible in Google Earth and Google Maps.

Output generated by Google Earth Tiler is visible on the web through a standard webserver (like Apache or IIS) or locally.

Google Earth Tiler is an APS extension module. Please contact Menci Software to know more about it.


Reports and Project Info

APS produces some reports together the output data. After all computation processes some details are recorded in report files.

You can access to that reports through "more" buttons in the workflow bar.

From the top "Tools" toolbar you can open a "Project Info" page, to get a summary of project activities and features.


Orthophoto Editing

APS makes easier the orthomosaic post -processing. In the Orthophoto tab from the main toolbar, you can setup an external preferred image editor such as Adobe Photoshop or similar.

Then set the dimension of the tile to extract for editing in the "Edit tile size" box.

When the button [image] is checked, you can click on the orthomosaic: a raster tile around the click will be automatically extracted and opened inside the external editor.

Then you can operate on the tile to fix the orthophoto geometric error. Finally save the tile and close the editor.

APS will highlight the area where the correction was done.

You can press [image] to apply every changes to the original orthomosaic. This operation doesn't modify any geographic property of the orthophoto.

Repeat the same procedure for others areas or export final orthomosaic.


Glossary

  • DEM: a Digital Elevation Model is a digital model or 3D representation of a terrain's surface.
  • DSM: a Digital Surface Model represents the surface and includes all objects on it (buildings, trees, ...).
  • DTM: a Digital Terrain Model represents the bare ground surface without any objects like plants and buildings.

More info by Wikipedia

  • Orthophoto: an orthophoto, orthophotograph or orthoimage is an aerial photograph geometrically corrected ("orthorectified") such that the scale is uniform: the photo has the same lack of distortion as a map. Unlike an uncorrected aerial photograph, an orthophotograph can be used to measure true distances, because it is an accurate representation of the Earth's surface, having been adjusted for topographic relief, lens distortion, and camera tilt.

More info by Wikipedia

  • Normal: In geometry, a normal is an object such as a line or vector that is perpendicular to a given object.

More info by Wikipedia

  • Camera Passport: file that describe the camera geometric parameters by lens focal, distortions and sizes.
  • Camera Calibration: process to extract a camera passport from an image dataset acquired by a given camera

More info by Wikipedia

  • A polygon mesh (MESH) is a collection of vertices, edges and faces that defines the shape of a polyhedral object in 3D computer graphics and solid modeling. The faces usually consist of triangles, quadrilaterals or other simple convex polygons, since this simplifies rendering, but may also be composed of more general concave polygons, or polygons with holes.

More info by Wikipedia

  • Seamline: a line of junction formed by sewing together two images along their margins. They are propaedeutic to orthomosaic.
  • Ground Control Point or Check Point: a point located on the ground by precise surveying that when identified on aerial photographs provides the control necessary for producing a photomap.
  • GSD: ground sample distance is the distance between adjacent pixel centers projected on the ground.

More info by Wikipedia